Gets person details by id
Retrieve detailed person information by Whitepages person ID. This endpoint accepts a valid Whitepages person ID in the path parameter and returns the complete person record if the ID exists in our data.
Authorization
ApiKeyAuth API key for authentication. Get your key from the Whitepages developer portal.
In: header
Path Parameters
Valid Person ID in format: P followed by 10 alphanumeric characters
"PABcd12345e""P1234567890"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.whitepages.com/v1/person/PABcd12345e"{
"id": "string",
"name": "string",
"aliases": [
"string"
],
"is_dead": true,
"current_addresses": [
{
"id": "string",
"address": "string",
"latlong": {
"lat": 0,
"lng": 0
},
"score": 0
}
],
"historic_addresses": [
{
"id": "string",
"address": "string",
"latlong": {
"lat": 0,
"lng": 0
},
"score": 0
}
],
"owned_properties": [
{
"id": "string",
"address": "string"
}
],
"phones": [
{
"number": "string",
"type": "mobile",
"score": 0
}
],
"emails": [
"string"
],
"date_of_birth": "string",
"linkedin_url": "string",
"company_name": "string",
"job_title": "string",
"relatives": [
{
"id": "string",
"name": "string"
}
]
}{
"error": {
"code": 400,
"message": "Bad Request",
"long_message": "Invalid person ID format: 'sdf'. Person ID must start with 'P' followed by exactly 10 alphanumeric characters. Example: 'PABcd12345e' or 'P1234567890'.",
"meta": null
},
"wp_trace_id": "3b0b537a60d84057817bb40563ca5c99"
}{
"message": "Forbidden"
}{
"error": {
"code": 404,
"message": "Not Found",
"long_message": "Person id not found: PABcd12345e",
"meta": null
},
"wp_trace_id": "0c57473114bd49b3b3c4b585df624f2f"
}{
"error": {
"code": 400,
"message": "Short error message",
"long_message": "The request was malformed",
"meta": {
"field": "email",
"validation_error": "Invalid email format"
}
},
"wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"message": "Too Many Requests"
}{
"error": {
"code": 400,
"message": "Short error message",
"long_message": "The request was malformed",
"meta": {
"field": "email",
"validation_error": "Invalid email format"
}
},
"wp_trace_id": "550e8400-e29b-41d4-a716-446655440000"
}Search for a person by name, phone number, and address GET
Retrieve person information based on the provided query parameters. This endpoint accepts a person query request and returns full details for up to the top 15 matching persons from Whitepages data.
Create a webhook subscription POST
Register a new webhook subscription for property events.